package org.bench4q.share.models.agent;

import java.util.LinkedList;
import java.util.List;
import java.util.UUID;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "serverStatus")
public class ServerStatusModel {
	private List<UUID> runningTests = new LinkedList<UUID>();
	private List<UUID> finishedTests = new LinkedList<UUID>();

	@XmlElementWrapper(name = "runningTests")
	@XmlElement(name = "runningTest")
	public List<UUID> getRunningTests() {
		return runningTests;
	}

	public void setRunningTests(List<UUID> runningTests) {
		this.runningTests = runningTests;
	}

	@XmlElementWrapper(name = "finishedTests")
	@XmlElement(name = "finishedTest")
	public List<UUID> getFinishedTests() {
		return finishedTests;
	}

	public void setFinishedTests(List<UUID> finishedTests) {
		this.finishedTests = finishedTests;
	}

}
